<?php
namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\App;
use Illuminate\Database\Eloquent\SoftDeletes;

class Content extends Model
{
    use SoftDeletes;

    protected $table = 'contents';

    protected $fillable = ['name', 'h1', 'slug', 'title', 'meta_description', 'short_description', 'description', 'description_2', 'language', 'status', 'caption', 'thumbnail'];

    public function project()
    {
        return $this->belongsTo('App\Project');
    }

    public function service()
    {
        return $this->belongsTo('App\Service');
    }

    public function scopeActive($query)
    {
        return $query->where('status', 1);
    }

    public function scopeLocale($query)
    {
        return $query->where('language', App::getLocale());
    }

    public function setSlugAttribute($value)
    {
        return $this->attributes['slug'] = str_slug($value);
    }

}