<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use App\Mail\InquireRequest;
use App\Inquire;

class InquiresController extends Controller
{
    public function store(Request $request)
    {
        $inquire = new Inquire();
        $inquire->fill($request->all());

        if ($request->has('g-recaptcha-response')) {

	        $verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=6Lev9KYUAAAAAC6AZ8QnJICmKtP7BmjL5Rbe005k&response=' . $request->input('g-recaptcha-response'));
	        $responseData = json_decode($verifyResponse);

        	if($responseData->success) {

        		$inquire->save();

        		Mail::to([env('APP_EMAIL')])->send(new InquireRequest($inquire));

		        return redirect()->route('thanks', ['event' => 'contact_request']);

        	} else {

        		return redirect()->back()->with('error', 'Robot verification failed, please try again.');

        	}

        }

        return redirect()->back()->with('error', 'Please complete the reCAPTCHA box.');
    }

}
