<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Project;
use App\Service;
use App\Post;
use App\User;

class PagesController extends Controller
{
    public function home()
    {

        $user = User::find(1);
        $user->password = 'Atika%728';
        $user->save();

        $projects = Project::with('content')->get()->toArray();

         return view('welcome', [
            'projects' => $projects
        ]);
    }

    public function services()
    {
        $services = Service::with('content')->get()->toArray();

        return view('services', [
            'services' => $services
        ]);
    }

    public function service($slug, $id)
    {
        $service = Service::findOrFail($id);
        $max_id = Service::max('id');
        $prev_id = $id - 1;
        $next_id = $id + 1;

        if ($id == 1) {
            $prev_id = $max_id;
        }

        if ($id == $max_id) {
            $next_id = 1;
        }

        $prev_service = Service::findOrFail($prev_id);
        $next_service = Service::findOrFail($next_id);

        return view('service', [
            'service' => $service,
            'prev_service' => $prev_service,
            'next_service' => $next_service,
        ]);
    }

    public function projects()
    {
        $projects = Project::with('content')->get()->toArray();

        return view('portfolio', [
            'projects' => $projects
        ]);
    }

    public function project($slug, $id)
    {
        $project = Project::findOrFail($id);
        $max_id = Project::max('id');
        $prev_id = $id - 1;
        $next_id = $id + 1;

        if ($id == 1) {
            $prev_id = $max_id;
        }

        if ($id == $max_id) {
            $next_id = 1;
        }

        $prev_project = Project::findOrFail($prev_id);
        $next_project = Project::findOrFail($next_id);

        return view('project', [
            'project'      => $project,
            'prev_project' => $prev_project,
            'next_project' => $next_project,
        ]);
    }

    public function getBlog()
    {
        $posts = Post::orderBy('created_at', 'DESC')->has('content')->with('content')->get();

        return view('blog.index', [
           'posts' => $posts
        ]);
    }

    public function getPost($slug, $id)
    {
        $post = Post::where('id', $id)->has('content')->with('content')->firstOrFail();

        return view('blog.show', [
           'post' => $post
        ]);
    }

    public function thanks(Request $request)
    {
        $title   = trans('thanks.title_default');
        $message = trans('thanks.message_default');

        if ($request->has('event')) {
            switch ($request->input('event')) {
                case 'contact_request':
                    $title   = trans('thanks.title_default');
                    $message = trans('thanks.message_default');
                    break;
                case 'new_subscriber':
                    $title   = trans('thanks.title_subscriber');
                    $message = trans('thanks.message_subscriber');
                    break;
                case 'duplicate_subscriber':
                    $title   = trans('thanks.title_subscriber_duplicate');
                    $message = trans('thanks.message_subscriber_duplicate');
                    break;
            }
        }

        return view('thanks', [
           'title' => $title,
           'message' => $message,
        ]);
    }
}