<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Validation\Rule;

class UsersController extends Controller
{    
    public function index()
    {
        $users = User::orderBy('created_at', 'DESC')->get();;
        
        return view('admin.users.index', [
           'users' => $users
        ]);
    }

    
    public function create()
    {        
        return view('admin.users.create');
    }


    public function store(Request $request)
    {
        $user = new User;
        $user->fill($request->all());

        if ($user->password != null)
            $user->password = Hash::make($request->password);

        $user->save();
        return redirect()->route('users.index');
    }

    
    public function edit($id)
    {
        $user = User::where('id', $id)->firstOrFail();

        return view('admin.users.edit', compact('user'));
    }


    public function update(Request $request, $id)
    {
        $user = User::find($id);
        $user->fill($request->all());

        if ($user['password'] != null)
            $user['password'] = bcrypt($user['password']);
        else 
            unset($user['password']);
        
        $user->update();
        return redirect()->route('users.index');
    }


    public function destroy($id)
    {
        User::find($id)->delete();

        return redirect()->back()->with('message', 'Usuario borrado exitosamente.');
    }
}
