<?php

namespace App;

use Illuminate\Support\Facades\App;
use Illuminate\Database\Eloquent\Model;

class Post extends Model
{

    protected $fillable = ['name', 'image', 'content'];

    public function contents()
    {
        return $this->hasMany('App\Content', 'blog_id');
    }

    public function content()
   {
        return $this->hasOne('App\Content', 'blog_id')
           ->where('language', App::getLocale())
           ->where('status', true);
    }

    public function images()
    {
        return $this->hasMany('App\Image', 'blog_id');
    }

    public function getfeaturedImgAttribute()
    {
        foreach ($this->images as $image) {
            return $image->name;
        }

    }

}
