<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\App;
use Illuminate\Database\Eloquent\SoftDeletes;

class Project extends Model
{
    use SoftDeletes;

    protected $table = 'projects';

    protected $fillable = ['name', 'color', 'thumbnail', 'image', 'content'];

    public function contents()
    {
        return $this->hasMany('App\Content', 'project_id');
    }

    public function content()
   {
        return $this->hasOne('App\Content', 'project_id')
           ->where('language', App::getLocale())
           ->where('status', true);
    }

    public function images()
    {
        return $this->hasMany('App\Image', 'project_id');
    }
}