<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\App;
use Illuminate\Database\Eloquent\SoftDeletes;

class Service extends Model
{
	use SoftDeletes;

    protected $table = 'services';

    protected $fillable = ['name', 'color', 'image', 'content'];

    public function contents()
    {
        return $this->hasMany('App\Content', 'service_id');
    }

    public function content()
   {
        return $this->hasOne('App\Content', 'service_id')
           ->where('language', App::getLocale())
           ->where('status', true);
    }

    public function images()
    {
        return $this->hasMany('App\Image', 'service_id');
    }
}