<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Cookie;
use Illuminate\Support\Facades\Request;

class Settings extends Model
{
    public static function isAllowedLanguage($code)
    {
        foreach (getLanguages() as $key => $value) {
            if ($code == $key) {
                return true;
            }
        }
        return false;
    }

    public static function getLanguage()
    {
        $current           = env('DEFAULT_LOCALE');
        $request_segment_1 = Request::segment(1);

        if (Settings::isAllowedLanguage($request_segment_1)) {
            $current = $request_segment_1;
            Cookie::queue('org_locale', $current);
        } else {
            if (Cookie::has('org_locale')) {
                $cookie = decrypt(Cookie::get('org_locale'));
                if (Settings::isAllowedLanguage($cookie)) {
                    $current = $cookie;
                }
            }
        }
        return $current;
    }

    public static function isAllowedCurrency($code)
    {
        foreach (getCurrencies() as $key => $value) {
            if ($code == $key) {
                return true;
            }
        }
        return false;
    }

    public static function getCurrency()
    {
        $current = env('DEFAULT_CURRENCY');

        if (Cookie::has('org_currency')) {
            $cookie = Cookie::get('org_currency');
            if (Settings::isAllowedCurrency($cookie)) {
                $current = $cookie;
            }
        }

        return strtoupper($current);
    }

    public static function setCurrency($code)
    {
        session()->flush('items');
        if (Settings::isAllowedCurrency($code)) {
            Cookie::queue('org_currency', $code);
            return true;
        }

        return false;

    }

}
