@extends('layouts.admin')

@section('content')

<div class="container mt-30">
    <h6><a href="{{ route('services.index') }}">Servicios</a> > Nuevo </h6>

    <div class="card">
        <div class="card-body">
            @if ($errors->any())
                <div class="alert alert-danger">
                    <h6>Por favor corrige los errores debajo:</h6>
                </div>
            @endif

            <div class="d-flex justify-content-center mb-2">
                <h5 class="mb-0">Nuevo Servicio</h5>
            </div>
            <hr>
                            
            {!! Form::open(['route' => ['services.store'], 'method' => 'POST']) !!}

                <div class="form-group row">
                    <div class="col-12 col-md-10">
                        {!! Form::label('name', 'Nombre:') !!}
                        {!! Form::text('name', null, ['class' => 'form-control', 'required']) !!}                
                        @if ($errors->has('title'))
                            <span style="color: red;">{{ $errors->first('name') }}</span>
                        @endif
                    </div>
                    <div class="col-12 col-md-2">
                        {!! Form::label('color', 'Color (Titulo):') !!}
                        {!! Form::color('color', null, ['class' => 'form-control', 'required']) !!}                
                        @if ($errors->has('color'))
                            <span style="color: red;">{{ $errors->first('color') }}</span>
                        @endif
                    </div>                    
                </div>                
                <hr>
                <div class="d-flex justify-content-between align-items-end mb-2">
                    <a class="btn btn-sm btn-outline-secondary" href="{{ route('services.index') }}"><i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i></a>
                    <button type="submit" id="submitBtn" class="btn btn-sm btn-outline-secondary"><i class="fa fa-floppy-o fa-2x" aria-hidden="true"></i></button>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
</div>
@endsection