@extends('layouts.admin')

@section('content')
	<style>table{font-size: 14px;}</style>
	<div class="container mt-30">
		<div class="row">
			<div class="col">
				<h3 class="card-title">Listado de Usuarios</h3>
			</div>
			<div class="col text-right">
				<p><a class="btn btn-sm btn-primary" href="{{ route('users.create') }}">Nuevo Usuario</a></p>
			</div>
		</div>
		<div class="row media">
			<div class="col">
				<div class="card mb-30">
					<div class="card-body">

						@include('admin.partials.alert_message')

						<div style="overflow: auto;">
							<table id="datatables" class="table table-stripe table-hover table-row-border" style="width:100%">
								<thead>
									<tr>
										<th>ID</th>
										<th>Nombre</th>										
										<th>Email</th>
										<th><center>Accion</center></th>
									</tr>
								</thead>
								@foreach($users as $user)
									<tr>
										<td>{{ $user->id }}</td>
										<td>{{ $user->getFullNameAttribute() }}</td>										
										<td>{{ $user->email }}</td>										
										<td>
                                            <center>
                                                <a class="btn btn-sm btn-outline-secondary" href="{{ route('users.edit', [$user->id]) }}"><i class="fa fa-pencil fa-2x" aria-hidden="true"></i></a>                                                
                                                <a class="btn btn-sm btn-outline-secondary" href="{{ route('users.destroy', [$user->id]) }}" data-method="delete" data-confirm="¿Está seguro de borrar el usuario '{{ $user->first_name }}'?"><i class="fa fa-trash fa-2x" aria-hidden="true"></i></a>
                                            </center>
                                        </td>
									</tr>
								@endforeach
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
@endsection


@section('scripts')
	@include('admin.partials.js-delete')
@endsection
											