<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Panel Admin | {{ config('app.name') }}</title>

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">

        <!-- Styles -->
        <style>
            html, body { background-color: #fff; color: #636b6f; font-family: 'Raleway', sans-serif; font-weight: 100; height: 100vh; margin: 0; }
            .full-height { height: 100vh; }
            .flex-center { align-items: center; display: flex; justify-content: center; }
            .position-ref { position: relative; }
            .top-right { position: absolute; right: 10px; top: 18px; }
            .content { text-align: center; }
            .title { font-size: 84px; }
            .links > a { color: #636b6f; padding: 0 25px; font-size: 12px; font-weight: 600; letter-spacing: .1rem; text-decoration: none; text-transform: uppercase; }
            .m-b-md { margin-bottom: 30px; }
        </style>
    </head>
    <body>
        <div class="flex-center position-ref full-height">
            @if (Route::has('login'))
                <div class="top-right links">
                    @if (Auth::check())
                        <a href="{{ url('/') }}">Home</a>
                    @else
                        <a href="{{ url('/login') }}">Login</a>
                        <a href="{{ url('/register') }}">Register</a>
                    @endif
                </div>
            @endif

            <div class="content">
                <div class="title m-b-md">
                    {{ config('app.name') }}
                </div>
                <div class="links">
                    <a href="{{ route('services.index') }}">Servicios</a>
                    <a href="{{ route('projects.index') }}">Proyectos</a>
                    <a href="{{ route('blog.index') }}">Blog</a>
                    <a href="{{ route('subscribers.index') }}">Suscriptores</a>
                    <a href="{{ route('inquiries.index') }}">Consultas</a>
                    <a href="{{ route('users.index') }}">Usuarios</a>
                </div>
            </div>
        </div>
    </body>
</html>
