@component('mail::message')

{{-- <p><img src="{{ url('/img/logo.png') }}"></p> --}}

{{-- Greeting --}}
@if (! empty($greeting))
# {{ $greeting }}
@else
@if ($level == 'error')
# Whoops!
@else
# Hello!
@endif
@endif

{{-- Intro Lines --}}
@foreach ($introLines as $line)
{!! $line !!}

@endforeach

{{-- Action Button --}}
@isset($actionText)
<?php
    switch ($level) {
        case 'success':
            $color = 'green';
            break;
        case 'error':
            $color = 'red';
            break;
        default:
            $color = 'blue';
    }
?>
{{--
    @component('mail::button', ['url' => $actionUrl, 'color' => $color])
    {{ $actionText }}
    @endcomponent
--}}
@endisset

{{-- Outro Lines --}}
@foreach ($outroLines as $line)
{!! $line !!}

@endforeach

{{-- Salutation --}}
@if (! empty($salutation))
{{ $salutation }}
@else
{{ trans('commons.regards') }},<br>{{ config('app.name') }}
@endif


{{-- End Lines --}}

@isset($endLine)
 {!! $endLine !!}
@endisset



{{-- Subcopy --}}
@isset($actionText)
@component('mail::subcopy')
{{ trans('commons.trouble_clicking', ['actionText' => $actionText]) }}
{{ trans('commons.in_browser') }} [{{ $actionUrl }}]({{ $actionUrl }})
@endcomponent
@endisset
@endcomponent
