<?php $__env->startSection('head'); ?>
	<title><?php echo e($project->content->title); ?> | <?php echo e(env('APP_NAME')); ?></title>
	<meta name="description" content="<?php echo e($project->content->meta_description); ?>">

	<meta property="og:type" content="article" />
	<meta property="og:url" content="<?php echo e(route(trans('url.project'), [$project->content->slug, $project->id])); ?>" />
	<meta property="og:title" content="<?php echo e($project->content->title); ?>" />
	<meta property="og:image" content="<?php echo e(url('/img/uploads/' . $project->thumbnail)); ?>" />
	<meta property="og:description" content="<?php echo e($project->content->meta_description); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
	<section id="portfolioItem">
		<div class="portfolio-item__title fade--<?php echo e($project->color); ?>">
			<h1><?php echo e($project->content->name); ?>.</h1>
		</div>
		<div class="container">
			<div id="carouselPortfolio" class="carousel slide" data-ride="carousel">
			  	<div class="carousel-inner">
			    	<div class="carousel-item active">
			      		<img src="/img/uploads/<?php echo e($project->thumbnail); ?>" class="img-fluid wow slideInUp">
			    	</div>
			  	</div>
			</div>
		</div>
	</section>

	<section id="PortfolioItemDescription">
		<div class="container">
			<div class="row">
				<div class="col text-center">
					<h2 class="subtitle--green h4 wow slideInUp"><strong><?php echo e($project->content->name); ?></strong></h2>
					<div class="text--gray wow slideInUp"><?php echo $project->content->description; ?></div>
				</div>
			</div>
		</div>
		<div class="container-fluid">
			<div class="row">
				<?php ($i = 1); ?>
				<?php $__currentLoopData = $project->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<?php if($i <= 3): ?>
						<div class="col-md-4" style="margin-bottom: 30px;">
							<img src="/img/uploads/<?php echo e($image->name); ?>" class="img-fluid lazy wow zoomIn" data-wow-delay=".<?php echo e($i*3); ?>s">
						</div>
					<?php endif; ?>
					<?php ($i++); ?>
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			</div>
		</div>
	</section>

	<section id="PortfolioItemCaption">
		<div class="container">
			<div class="row">
				<div class="col wow slideInUp">
					<h4 class="PortfolioItem__caption"> <img src="/img/c-left.jpg"> <?php echo e($project->content->caption); ?> <img src="/img/c-right.jpg"> </h4>
				</div>
			</div>
			<div class="row">
				<div class="col">
					<div class="portfolioItem__hr"></div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 wow slideInLeft">
					<h4 class="subtitle--green"><strong><?php echo e(trans('commons.challenge')); ?></strong></h4>
					<div class="text--gray"><?php echo $project->content->description_2; ?></div>
				</div>
				<div class="col-md-6 wow slideInRight">
					<div id="carouselPortfolio2" class="carousel slide" data-ride="carousel">
					  	<div class="carousel-inner">
					  		<?php ($i = 1); ?>
							<?php $__currentLoopData = $project->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								<?php if($i >= 4): ?>
									<div class="carousel-item <?php if($i==4): ?> active <?php endif; ?>">
										<img src="/img/uploads/<?php echo e($image->name); ?>" class="img-fluid lazy">
							    	</div>
								<?php endif; ?>
								<?php ($i++); ?>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					  	</div>
					  	<a href="#carouselPortfolio2" class="carousel-control-prev" data-slide="prev"><img src="/img/a-left.png" style="width: 40px"></a>
		  				<a href="#carouselPortfolio2" class="carousel-control-next" data-slide="next"><img src="/img/a-right.png" style="width: 40px"></a>
					</div>
				</div>
			</div>
			<div class="row navBarProjects">
				<?php if(isset($prev_project->content->slug)): ?>
					<div class="col-md-1 wow slideInLeft">
						<a href="<?php echo e(route(trans('url.project'), [$prev_project->content->slug, $prev_project->id])); ?>#portfolioItem"><img src="/img/a-left.jpg" class="img-fluid" style="margin-top: -15px;"></a>
					</div>
					<div class="col-md-4 text-right wow slideInLeft">
						<p class="subtitle--wrapper"><a href="<?php echo e(route(trans('url.project'), [$prev_project->content->slug, $prev_project->id])); ?>#portfolioItem" class="h4 subtitle--black" data-caption="<?php echo e($prev_project->content->name); ?>"> <span></span> <?php echo e($prev_project->content->name); ?> </a></p>
						<p style="color: #848484;font-family: 'Montserrat';font-size: 15px;line-height: 30px;margin-bottom: 0;"><?php echo e($prev_project->start); ?> - <?php echo e($prev_project->end); ?></p>
					</div>
				<?php else: ?>
					<div class="col-md-1 wow slideInLeft"></div>
					<div class="col-md-4 text-right wow slideInLeft"><p class="subtitle--wrapper"></p>
					</div>
				<?php endif; ?>

				<div class="col-md-2 text-center wow slideInUp">
					<img src="/img/linear-vertical.png" class="img-fluid">
				</div>

				<?php if(isset($next_project->content->slug)): ?>
					<div class="col-md-4 text-left wow slideInRight">
						<p class="subtitle--wrapper"><a href="<?php echo e(route(trans('url.project'), [$next_project->content->slug, $next_project->id])); ?>#portfolioItem" class="h4 subtitle--black" data-caption="<?php echo e($next_project->content->name); ?>"> <span></span> <?php echo e($next_project->content->name); ?> </a></p>
						<p style="color: #848484;font-family: 'Montserrat';font-size: 15px;line-height: 30px;margin-bottom: 0;"><?php echo e($next_project->start); ?> - <?php echo e($next_project->end); ?></p>
					</div>
					<div class="col-md-1 wow slideInRight">
						<a href="<?php echo e(route(trans('url.project'), [$next_project->content->slug, $next_project->id])); ?>#portfolioItem"><img src="/img/a-right.jpg" class="img-fluid" style="margin-top: -15px;"></a>
					</div>
				<?php endif; ?>
			</div>
			<div class="row" style="margin-top: 40px;margin-bottom: -50px;">
				<div class="col text-center">
					<p class="wow slideInUp" style="font-family: 'Montserrat';font-size: 15px;line-height: 30px;"><a style="color: #848484;" href="<?php echo e(route(trans('url.portfolio'))); ?>"><?php echo e(trans('commons.all_projects')); ?> <img src="/img/icon-all.jpg" style="margin-top: -5px; margin-left: 5px;"></a></p>
				</div>
			</div>
		</div>
	</section>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<script>
	$(document).ready(function(){
		$('.subtitle--black').each (function(){
			var caption = $(this).data('caption');
			$(this).children('span').html(caption + '<br>');
		});
	});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>