

<?php $__env->startSection('content'); ?>

<div class="container mt-30">
    <h6><a href="<?php echo e(route('services.index')); ?>">Servicios</a> > Editar > <?php echo e($content->name); ?></h6>

    <div class="card">
        <div class="card-body">
            <?php if($errors->any()): ?>
                <div class="alert alert-danger">
                    <h6>Por favor corrige los errores debajo:</h6>
                </div>
            <?php endif; ?>

            <div class="d-flex justify-content-center mb-2">
                <h5 class="mb-0">Editar Servicio </h5>
            </div>
            <hr>
                
            <?php echo Form::model($content, ['route' => ['services.update', $content->id], 'method' => 'PUT', 'files' => true]); ?>


                <div class="form-group row">
                    <div class="col-12 col-md-10">
                        <?php echo Form::label('name', 'Nombre:'); ?>

                        <?php echo Form::text('name', null, ['class' => 'form-control', 'required']); ?>                
                        <?php if($errors->has('name')): ?>
                            <span style="color: red;"><?php echo e($errors->first('name')); ?></span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12 col-md-2">
                        <?php echo Form::label('language', 'Idioma:'); ?>                        
                        <?php echo Form::select('language', getLanguages(), null, ['class' => 'form-control', 'disabled']); ?>

                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-12 col-md-6">
                        <?php echo Form::label('title', 'Titulo:'); ?>

                        <?php echo Form::text('title', null, ['class' => 'form-control', 'required']); ?>                
                        <?php if($errors->has('title')): ?>
                            <span style="color: red;"><?php echo e($errors->first('title')); ?></span>
                        <?php endif; ?>
                    </div>
                    <div class="col-12 col-md-6">
                        <?php echo Form::label('slug', 'Slug (URL):'); ?>

                        <?php echo Form::text('slug', null, ['class' => 'form-control', 'required']); ?>                
                        <?php if($errors->has('slug')): ?>
                            <span style="color: red;"><?php echo e($errors->first('slug')); ?></span>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-12 col-md-10">
                        <?php echo Form::label('meta_description', 'Meta Descripción (SEO):'); ?>

                        <?php echo Form::text('meta_description', null, ['class' => 'form-control', 'required']); ?>                
                        <?php if($errors->has('meta_description')): ?>
                            <span style="color: red;"><?php echo e($errors->first('meta_description')); ?></span>
                        <?php endif; ?>
                    </div>                    
                    <div class="col-12 col-md-2">
                        <?php echo Form::label('status', 'Estatus:'); ?>                        
                        <?php echo Form::select('status', getStatus(), null, ['class' => 'form-control']); ?>

                    </div>
                </div>                

                <div class="form-group row">
                    <div class="col-12">
                        <?php echo Form::label('description', 'Descripción:'); ?>

                        <?php echo Form::textarea('description', null, ['class' => 'form-control ckeditor', 'required']); ?>

                        <?php if($errors->has('description')): ?>
                            <span style="color: red;"><?php echo e($errors->first('description')); ?></span>
                        <?php endif; ?>
                    </div>
                </div>
                <hr>
                <div class="d-flex justify-content-between align-items-end mb-2">
                    <a class="btn btn-sm btn-outline-secondary" href="<?php echo e(route('services.index')); ?>"><i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i></a>
                    <button type="submit" id="submitBtn" class="btn btn-sm btn-outline-secondary"><i class="fa fa-floppy-o fa-2x" aria-hidden="true"></i></button>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>